/*
 * Copyright 2012 Petr Machata
 *
 * This file is part of MicroSweeper.
 *
 * MicroSweeper is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MicroSweeper is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MicroSweeper.  If not, see <http://www.gnu.org/licenses/>.
 */

public class MineCounter implements FieldEnumerator {
    int mines = 0;
    int flags = 0;
    int uncovered = 0;
    int total = 0;
    public boolean field(Field f) {
	if (f.hasMine())
	    mines++;
	if (f.flagged())
	    flags++;
	if (f.uncovered())
	    uncovered++;
	total++;
	return true;
    }
}
